Bug Hunting Session
Bug 95733 - FILEOPEN: SVG clipPath can be defined outside path
Summary: FILEOPEN: SVG clipPath can be defined outside path
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:5.1.0 target:5.2.0 target:5.1...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-10 17:14 UTC by Xisco Faulí
Modified: 2016-10-25 19:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2015-11-10 17:14:40 UTC
Regression introduced by 3056a6b6e39b57c66ebaf5210264b689f02f5fc3

Steps to reproduce:
1. Open attachment 65120 [details]
Comment 1 Commit Notification 2015-11-12 11:02:04 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3cc56b50c2db1d9f4e1aab033da32bf45f854b4f

tdf#95733: SVG: clipPath can be defined outside path...

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2015-12-08 09:11:44 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f268e6f1fdd741ebdb5256ed9c72643846472332

SVG: Revert previous commits for tdf#95332 and tdf#95733

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-12-15 17:08:42 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c4f6cd2848c60969043aa3d1804e138669a6f14a&h=libreoffice-5-1

SVG: Revert previous commits for tdf#95332 and tdf#95733

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.